# Commentaire
variable "project_name" {
  type        = string
  description = "but3-iac"
  default     = "projet-virtualisation"
}

variable "region" {
  type        = string
  description = "Région dans laquelle déployer les ressources"
  default     = "europe-west9"
}

variable "frontend_cidr" {
  description = "CIDR for frontend subnet"
  type        = string
  default     = "10.0.1.0/24"
}

variable "backend_cidr" {
  description = "CIDR for backend subnet"
  type        = string
  default     = "10.0.2.0/24"
}

variable "database_cidr" {
  description = "CIDR for database subnet"
  type        = string
  default     = "10.0.3.0/24"
}

variable "ssh_source_ranges" {
  type        = string
  description = "Plages d’adresses autorisées à se connecter en SSH"
  default  = "0.0.0.0/0"

}

variable "project_id"{
    description = "id du projet"
    type = string
    default = "projet-virtualisation-478713" 
}